# Rotate virtual card CVV Force a virtual card's CVV (Card Verification Value) rotation. **CVV rotation rules:** Calling this endpoint can reset the CVV rotation schedule in the future. For example, if you call this endpoint at 3PM and the defined rotation interval is 24 hours, the next rotation will take place at 3PM the next day and subsequent days after. A 2-minute validation occurs between scheduling requests and, within this interval, no new scheduling takes place. This can lead to the following scenarios: * If a forced rotation occurs less than 2 minutes after an auto-rotation, the CVV is rotated and no new scheduling takes place. * If an auto-rotation occurs less than 2 minutes after a forced rotation, the CVV is rotated and no new scheduling takes place. * If more than one forced call occurs in less than 2 minutes, the CVV is rotated, but new scheduling only takes place for the first call. This endpoint generates a [Card CVV changed](https://developers.pismo.io/events/docs/cards-rotate-cvv-1) event. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "CVV rotation", "description": "CVV rotation management" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "ResetCvvResponse": { "type": "object", "description": "Response body indicating success", "properties": { "success": { "type": "boolean", "description": "Was CVV rotated?" } } }, "ServiceCode": { "type": "string", "description": "A 3 digit value, not to be confused with the CVV. Each number in the service code has a well-defined meaning, known to the card networks and other components of the interchange networks. The service code's purpose is to tell merchant terminals and acquiring networks about usage restrictions the issuer has placed on the card.\n\nIf passed, a new random service code value is not generated, and the passed value is used instead.\n", "minLength": 3, "maxLength": 3 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/pcicards/v2/pcicards/cvv/{cardId}/reset": { "post": { "operationId": "post-v2-reset-cvv", "summary": "Rotate virtual card CVV", "description": "Force a virtual card's CVV (Card Verification Value) rotation.\n\n**CVV rotation rules:**\n\nCalling this endpoint can reset the CVV rotation schedule in the future. For example, if you call this endpoint at 3PM and the defined rotation interval is 24 hours, the next rotation will take place at 3PM the next day and subsequent days after.\n\nA 2-minute validation occurs between scheduling requests and, within this interval, no new scheduling takes place. This can lead to the following scenarios:\n\n* If a forced rotation occurs less than 2 minutes after an auto-rotation, the CVV is rotated and no new scheduling takes place.\n* If an auto-rotation occurs less than 2 minutes after a forced rotation, the CVV is rotated and no new scheduling takes place.\n* If more than one forced call occurs in less than 2 minutes, the CVV is rotated, but new scheduling only takes place for the first call.\n\nThis endpoint generates a [Card CVV changed](https://developers.pismo.io/events/docs/cards-rotate-cvv-1) event.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "CVV rotation" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "requestBody": { "description": "Rotate CVV request body", "required": true, "content": { "application/json": { "schema": { "type": "object", "properties": { "service_code": { "$ref": "#/components/schemas/ServiceCode" } } } } } }, "responses": { "200": { "description": "Success CVV rotation response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ResetCvvResponse" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```